com.fasterxml.jackson.databind

## Class PropertyNamingStrategies.LowerCamelCaseStrategy

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategy
  - - com.fasterxml.jackson.databind.PropertyNamingStrategies.NamingBase
    - - com.fasterxml.jackson.databind.PropertyNamingStrategies.LowerCamelCaseStrategy

All Implemented Interfaces:
  Serializable

Enclosing class:
  PropertyNamingStrategies

    public static class PropertyNamingStrategies.LowerCamelCaseStrategy
    extends PropertyNamingStrategies.NamingBase

"No-operation" strategy that is equivalent to not specifying any strategy: will simply return suggested standard bean naming as-is.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerDotCaseStrategy, PropertyNamingStrategy.PropertyNamingStrategyBase, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy`

### Field Summary

Fields
`static PropertyNamingStrategies.LowerCamelCaseStrategy` `INSTANCE`

### Fields inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`KEBAB_CASE, LOWER_CAMEL_CASE, LOWER_CASE, LOWER_DOT_CASE, SNAKE_CASE, UPPER_CAMEL_CASE`

### Constructor Summary

Constructors
Constructor and Description
`LowerCamelCaseStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `translate(String input)`

### Methods inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategies.NamingBase

`nameForConstructorParameter, nameForField, nameForGetterMethod, nameForSetterMethod, translateLowerCaseWithSeparator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final PropertyNamingStrategies.LowerCamelCaseStrategy INSTANCE

Since:
  2.14

### Constructor Detail

#### LowerCamelCaseStrategy

    public LowerCamelCaseStrategy()

### Method Detail

#### translate

    public String translate(String input)

Specified by:
  `translate` in class `PropertyNamingStrategies.NamingBase`